<header class="container py-3 mb-4 border-bottom navbar-sticky bg-light panel-rounded shadow">
  <div class="container d-flex flex-wrap justify-content-center ">
    <a routerLink="home" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
      <img src="assets/img//logo/6th-logo-02.svg" alt="Girl in a jacket" width="64">
      <span class="fs-4">6th Goup Store</span>
    </a>

    <div [formGroup]="appForm" class="usuario">
      <ul class="nav">
        <div class="flex-shrink-0 dropdown">
          <a *ngIf="logout" href="#" class="d-block link-dark text-decoration-none btn-right"
            data-bs-toggle="modal" data-bs-target="#loginModal">
            <small>Iniciar sesión</small>
          </a>
          <a *ngIf="login" href="#" class="d-block link-dark text-decoration-none dropdown-toggle" id="dropdownUser2"
            data-bs-toggle="dropdown" aria-expanded="false">
            <i class="bi bi-person-circle"></i>
            <small>Hola, <label formControlName="userName" id="labelUser">{{appForm.get('loginUser')?.value}}</label></small>
            <!-- <img src="https://github.com/mdo.png" alt="mdo" width="32" height="32" class="rounded-circle"> -->
          </a>
          <ul class="dropdown-menu text-small" aria-labelledby="dropdownUser2">
            <li><a class="dropdown-item" routerLink="historial">Mis compras</a></li>
            <li><a class="dropdown-item" routerLink="profile">Mi Perfil</a></li>
            <li>
              <hr class="dropdown-divider">
            </li>
            <li><a class="dropdown-item" href="#">Cerrar sesión</a></li>
          </ul>

        </div>
      </ul>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="loginModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <img class="mb-4" src="assets/img//logo/6th-logo-02.svg" alt="" width="128">
            <div *ngIf="boolSesion" class="_login">
              <form [formGroup]="appForm" class="_colocar-al centro">
                <h1 class="h3 mb-3 fw-normal">Por favor ingresa tus datos</h1>
                <div class="form-floating">
                  <input formControlName="loginUser" type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
                  <label for="floatingInput">Email address</label>
                </div>
                <div style="padding-top: 5px;"></div>
                <div class="form-floating">
                  <input formControlName="passwordUser" type="password" class="form-control" id="floatingPassword" placeholder="Password">
                  <label for="floatingPassword">Password</label>
                </div>
                <div class="checkbox mb-3">
                  <label>
                    <input type="checkbox" value="remember-me"> Recordar acceso.
                  </label>
                </div>
              </form>
            </div>
            <div *ngIf="boolRecovery" class="_recovery">
              <form class="_colocar-al centro">
                <h5 class="mb-3 fw-normal">Recuperar contraseña
                  <br>
                  <small class="text-muted"> Ingresa tu correo electrónico para identificación.</small>
                </h5>
                <div class="form-floating">
                  <div class="col-sm-12">
                    <input formControlName="email" type="email" class="form-control" placeholder="example@mail.com">
                  </div>
                </div>
              </form>
            </div>
            <div *ngIf="boolRegister" class="_registry">
              <form class="_colocar-al centro">
                <h5 class="mb-3 fw-normal">Crea tu cuenta gratis</h5>
                <div class="form-floating">
                  <div class="col-sm-12">
                    <label for="" class="form-label">Nombres</label>
                    <input formControlName="nameUser" type="text" class="form-control">
                  </div>
                  <div class="col-sm-12">
                    <label for="" class="form-label">Email</label>
                    <input formControlName="nameUser" type="email" class="form-control" placeholder="example@mail.com">
                  </div>
                  <div class="col-sm-12">
                    <label for="" class="form-label">Contraseña</label>
                    <input formControlName="nameUser" type="password" class="form-control">
                    <label for=""><small class="text-muted">6 caracteres minimos, mayúscula-minúscula, numeros,
                        etc.</small></label>
                  </div>
                </div>
              </form>
            </div>
            <hr>
            <div class="_pie">
              <button (click)="loadLogin()" class="w-100 btn btn-lg btn-6th" data-dismiss="loginModal" type="submit">
                <span *ngIf="boolSesion">Validar acceso</span>
                <span *ngIf="boolRecovery">Enviar contraseña</span>
                <span *ngIf="boolRegister">Crear cuenta</span>

              </button>
              <p class="mt-5 mb-3 text-muted">
                <input *ngIf="boolSesion" (click)="togleRecovery()" type="button" value="Olvidaste tu Contraseña?"
                  class="btn btn-link text-decoration-none txt-color">
                <input *ngIf="!boolSesion" (click)="togleSesion()" type="button" value="Regresa a Iniciar Sesión"
                  class="btn btn-link text-decoration-none txt-color">
                <input *ngIf="!boolRegister" (click)="togleRegister()" type="button" value="Crea tu cuenta gratis *"
                  class="btn btn-link text-decoration-none txt-color">
                <br>
                <small *ngIf="!boolRegister" class="text-muted">(*) Regístrate gratis y recibirás un bono de bienvenida.</small>
                <br>
                <span>Privacidad, Terminos y condiciones.</span>

                <br>
                test:
                {{appForm.value | json}}
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>


  </div>

  <nav class="py-2 ">
    <!-- bg-light border-bottom -->
    <div class="container d-flex flex-wrap menu-back-color">
      <ul class="nav me-auto menu-color">
        <li class="nav-item menu-color"><a routerLink="home" class="nav-link link-dark px-2 active menu-color"><i
              class="bi bi-shop"></i>
            <span> Inicio</span></a>
        </li>
        <li class="nav-item"><a routerLink="offers" class="nav-link link-dark px-2 menu-color"><i
              class="bi bi-tags"></i>
            <span> Promoción</span></a></li>
        <li class="nav-item"><a routerLink="contact" class="nav-link link-dark px-2 menu-color"><i
              class="bi bi-envelope"></i>
            <span> Contacto</span></a>
        </li>
        <li class="nav-item"><a routerLink="about" class="nav-link link-dark px-2 menu-color">
            <span> Nosotros</span></a>
        </li>
      </ul>
      <div class="canastilla">
        <a routerLink="cart" class="d-block link-dark text-decoration-none menu-color" id="dropdownUser2"
          aria-expanded="false">
          <span class="navbar-tool-label">99</span>
          <i class="navbar-tool-icon bi bi-cart2"></i>
          <!-- <img src="https://github.com/mdo.png" alt="mdo" width="32" height="32" class="rounded-circle"> -->
        </a>
      </div>
    </div>
  </nav>
</header>

<section>
  <div class="container shadow panel-rounded py-3" style="background-color: white;">
    <div class="row">
      <div class="col-3 shadow">
        <div class="accordion accordion-flush" id="accordionFlushExample">
          <div class="accordion-item">
            <h2 class="accordion-header" id="flush-headingOne">
              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                data-bs-target="#flush-collapseOne" aria-expanded="false" aria-controls="flush-collapseOne">
                <i class="bi bi-bookmarks"></i> <span>Categorías</span>
              </button>
            </h2>
            <div id="flush-collapseOne" class="accordion-collapse collapse" aria-labelledby="flush-headingOne"
              data-bs-parent="#accordionFlushExample">
              <div class="accordion-body">
                <ul class="nav flex-column">
                  <a class="nav-link link-dark text-decoration-none " aria-current="page" routerLink="category">
                    <i class="bi bi-check"></i><span> Lácteos</span>
                  </a>
                  <a class="nav-link link-dark text-decoration-none " aria-current="page" routerLink="category">
                    <i class="bi bi-check"></i><span> Harinas</span>
                  </a>
                  <a class="nav-link link-dark text-decoration-none " aria-current="page" routerLink="category">
                    <i class="bi bi-check"></i><span> Menestras</span>
                  </a>
                  <a class="nav-link link-dark text-decoration-none " aria-current="page" routerLink="category">
                    <i class="bi bi-check"></i><span> Limpieza</span>
                  </a>
                </ul>
              </div>
            </div>
          </div>
          <div class="accordion-item">
            <h2 class="accordion-header" id="flush-headingTwo">
              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                data-bs-target="#flush-collapseTwo" aria-expanded="false" aria-controls="flush-collapseTwo">
                <i class="bi bi-tags"></i> <span>Promociones</span>
              </button>
            </h2>
            <div id="flush-collapseTwo" class="accordion-collapse collapse" aria-labelledby="flush-headingTwo"
              data-bs-parent="#accordionFlushExample">
              <div class="accordion-body">Placeholder content for this accordion, which is intended to demonstrate the
                <code>.accordion-flush</code> class. This is the second item's accordion body. Let's imagine this being
                filled with some actual content.
              </div>
            </div>
          </div>
          <div class="accordion-item">
            <h2 class="accordion-header" id="flush-headingThree">
              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                data-bs-target="#flush-collapseThree" aria-expanded="false" aria-controls="flush-collapseThree">
                <i class="navbar-tool-icon bi bi-cart2"></i> <span>Mis pedidos</span>
              </button>
            </h2>
            <div id="flush-collapseThree" class="accordion-collapse collapse" aria-labelledby="flush-headingThree"
              data-bs-parent="#accordionFlushExample">
              <div class="accordion-body">Placeholder content for this accordion, which is intended to demonstrate the
                <code>.accordion-flush</code> class. This is the third item's accordion body. Nothing more exciting
                happening here in terms of content, but just filling up the space to make it look, at least at first
                glance, a bit more representative of how this would look in a real-world application.
              </div>
            </div>
          </div>
          <div class="accordion-item">
            <h2 class="accordion-header" id="flush-headingFour">
              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                data-bs-target="#flush-collapseFour" aria-expanded="false" aria-controls="flush-collapseFour">
                <i class="bi bi-question-diamond"></i><span>Necesitas Ayuda?</span>
              </button>
            </h2>
            <div id="flush-collapseFour" class="accordion-collapse collapse" aria-labelledby="flush-headingFour"
              data-bs-parent="#accordionFlushExample">
              <div class="accordion-body">Placeholder content for this accordion, which is intended to demonstrate the
                <code>.accordion-flush</code> class. This is the third item's accordion body. Nothing more exciting
                happening here in terms of content, but just filling up the space to make it look, at least at first
                glance, a bit more representative of how this would look in a real-world application.
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-9 py-3 px-2">
        <router-outlet></router-outlet>
      </div>
    </div>

  </div>


</section>
